inactivate drawing views for review

Valued Contributor
Valued Contributor

Hello!

I'm trying to open a draft on inactivate drawing views for review in vb net. but I do not know the syntax. Anyone knows.

 

Dim objApplication As SolidEdgeFramework.Application = Nothing

Dim objDocuments As SolidEdgeFramework.Documents = Nothing

Dim objDraft As SolidEdgeDraft.DraftDocument = Nothing

 

' Connect to a running instance of Solid Edge

objApplication = Marshal.GetActiveObject("SolidEdge.Application")

 

' Get a reference to the documents collection

objDocuments = objApplication.Documents

 

????????????????????????????????

 

' Add a Draft document

objDraft = objDocuments.Open("C:\Dessin2\1285\12856\128569JA28.dft")

 

thank you in advance.

 

Posted by: Plante Sylvain
Post date: 1/10/2013 7:58:02 PM

2 REPLIES

inactivate drawing views for review

Valued Contributor
Valued Contributor

you must set the global parameter. But this ist only valid for the one session of Solid Edge and not be saved.

 

objApplication.SetGlobalParameter(SolidEdgeFramework.ApplicationGlobalConstants.seApplicationGlobalSessionDraftOpenInactive, True)

 

Posted by: JR
Post date: 1/11/2013 12:39:26 AM

inactivate drawing views for review

Valued Contributor
Valued Contributor

It works! Smiley Happy

thank you very much JR.

 

Posted by: Plante Sylvain
Post date: 1/11/2013 6:45:36 AM